Bug 246537 - Review Request: perl-Test-Output - Utilities to test STDOUT and STDERR messages
Review Request: perl-Test-Output - Utilities to test STDOUT and STDERR messages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 1169016 (view as bug list)
Depends On:
Blocks: 246534
  Show dependency treegraph
 
Reported: 2007-07-02 17:53 EDT by Steven Pritchard
Modified: 2014-12-01 03:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-05 11:28:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2007-07-02 17:53:52 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Test-Output/perl-Test-Output.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Test-Output-0.10-1.src.rpm
Description:
Test::Output provides a simple interface for testing output sent to STDOUT
or STDERR. A number of different utilies are included to try and be as
flexible as possible to the tester.
Comment 1 Parag AN(पराग) 2007-07-03 02:36:51 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
dcf67296e04a41a9f73f70c10fe5f825  Test-Output-0.10.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00.load............# Testing Test::Output 0.10
ok
t/combined_is........ok
t/combined_isnt......ok
t/combined_like......ok
t/combined_unlike....ok
t/output_is..........ok
t/output_isnt........ok
t/output_like........ok
t/output_unlike......ok
t/pod-coverage.......ok
t/pod................ok
t/stderr_is..........ok
t/stderr_isnt........ok
t/stderr_like........ok
t/stderr_unlike......ok
t/stdout_is..........ok
t/stdout_isnt........ok
t/stdout_like........ok
t/stdout_unlike......ok
All tests successful.
Files=19, Tests=1209,  2 wallclock secs ( 1.46 cusr +  0.22 csys =  1.68 CPU)
+ Provides: perl(Test::Output) = 0.10 perl(Test::Output::Tie)
+ Requires: perl(:MODULE_COMPAT_5.8.8) perl(Sub::Exporter) perl(Sub::Exporter)
perl(Test::Builder) perl(Test::Output::Tie) perl(Test::Tester) >= 0.103
perl(strict) perl(warnings)

APPROVED.
Comment 2 Steven Pritchard 2007-07-03 11:11:32 EDT
New Package CVS Request
=======================
Package Name: perl-Test-Output
Short Description: Utilities to test STDOUT and STDERR messages
Owners: steve@silug.org
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com
Comment 3 Steven Pritchard 2007-07-05 11:28:16 EDT
Branches created.  I'm just building this for devel now though.

Thanks.
Comment 4 Fedora Update System 2011-03-01 02:20:04 EST
Package perl-Test-Output-0.10-2.el4:
* should fix your issue,
* was pushed to the Fedora EPEL 4 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Test-Output-0.10-2.el4'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-Test-Output-0.10-2.el4
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-03-16 14:18:53 EDT
perl-Test-Output-0.10-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Jitka Plesnikova 2014-12-01 03:30:37 EST
*** Bug 1169016 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.